| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_color_space
Experimental extensions

Include <glm/gtx/color_space.hpp> to use the features of this extension. More...

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | hsvColor (vec< 3, T, Q > const &rgbValue)
| Converts a color from RGB color space to its color in HSV color space. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | luminosity (vec< 3, T, Q > const &color)
| Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgbColor (vec< 3, T, Q > const &hsvValue)
| Converts a color from HSV color space to its color in RGB color space. More...
template<typename T >
GLM_FUNC_DECL mat< 4, 4, T, defaultp > | saturation (T const s)
| Build a saturation matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | saturation (T const s, vec< 3, T, Q > const &color)
| Modify the saturation of a color. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | saturation (T const s, vec< 4, T, Q > const &color)
| Modify the saturation of a color. More...

## Detailed Description

Include <glm/gtx/color_space.hpp> to use the features of this extension.

Related to RGB to HSV conversions and operations.

## Function Documentation

GLM_FUNC_DECL vec<3, T, Q> glm::hsvColor | ( | vec< 3, T, Q > const & | rgbValue | ) |

Converts a color from RGB color space to its color in HSV color space.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL T glm::luminosity | ( | vec< 3, T, Q > const & | color | ) |

Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL vec<3, T, Q> glm::rgbColor | ( | vec< 3, T, Q > const & | hsvValue | ) |

Converts a color from HSV color space to its color in RGB color space.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL mat<4, 4, T, defaultp> glm::saturation | ( | T const | s | ) |

Build a saturation matrix.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL vec<3, T, Q> glm::saturation | ( | T const | s,
|  | vec< 3, T, Q > const & | color
| ) |  |

Modify the saturation of a color.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL vec<4, T, Q> glm::saturation | ( | T const | s,
|  | vec< 4, T, Q > const & | color
| ) |  |

Modify the saturation of a color.

See also
  GLM_GTX_color_space